{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/parts.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    {% set user_name = "Guest" %}
    {% set user_avatar = null %}

    {% if user is defined %}
        {% set user_name = user.name %}

        {% if user.avatar is not null %}
            {% set user_avatar = user.avatar %}
        {% endif %}
    {% endif %}

    {% set login_disabled = "" %}
    {% set register_disabled = "" %}

    {% if page is defined %}
        {% if page == 'login' %}
            {% set login_disabled = 'link-disabled' %}
        {% endif %}

        {% if page == 'register' %}
            {% set register_disabled = 'link-disabled' %}
        {% endif %}
    {% endif %}

    <div class="header wrapper">
        <div>
            <div style="margin: 0 2em;">
                <a class="nav-link" href="{{ path('app_default') }}">
                    <img class="icon-large" src='{{asset("uploads/icons/accounter_2.png")}}' />
                </a>
            </div>
        </div>
        <div>
            <ul class="nav">
                <li class="nav-item {{ selected_item is defined and selected_item == 'transactions' ? 'nav-item-selected' }}">
                    <a class="nav-bar-link" href="{{ path('app_transactions') }}">
                        Transactions
                    </a>
                </li>
                <li class="nav-item {{ selected_item is defined and selected_item == 'chart' ? 'nav-item-selected' }}">
                    <a class="nav-bar-link" href="{{ path('app_chart') }}">
                        Charts
                    </a>
                </li>
            </ul>
        </div>
        <div class="greeting">
            <div style="display: flex;">
                <h5 style="margin: 1rem 0;">Hello, {{ user_name }}!</h5>
                {% if user_avatar %}
                    &nbsp; &nbsp; <img class="icon-large" src='{{asset("uploads/avatars/" ~ user_avatar)}}' />
                {% endif %}
            </div>
        </div>
        <div class="auth-navbar">
            {% if user is defined %}
                <a class="nav-link" href="{{ path('app_logout') }}">Logout</a>
            {% else %}
                <a class="nav-link {{ login_disabled }}" href="{{ path('app_login') }}">Login &nbsp;</a>
                <a class="nav-link {{ register_disabled }}" href="{{ path('app_register') }}">Register</a>
            {% endif %}
        </div>
    </div>
{% endblock %}
